Bug 1643676 - dnf-plugin-versionlock not accept package-spec string from versionlock.list
Summary: dnf-plugin-versionlock not accept package-spec string from versionlock.list
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-27 08:52 UTC by Frantisek Hanzlik
Modified: 2018-12-05 02:33 UTC (History)
5 users (show)

Fixed In Version: dnf-plugins-core-4.0.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-05 02:33:16 UTC


Attachments (Terms of Use)

Description Frantisek Hanzlik 2018-10-27 08:52:53 UTC
Description of problem:
It seems as Versionlock DNF plugin not accept package-spec values listed in its /etc/dnf/plugins/versionlock.list file. Certain DNF operations (e.g. install) produce error message:

# dnf install community-mysql-devel
Versionlock plugin: could not parse pattern: ragel-6.10-*

# dnf install community-mysql-devel
Versionlock plugin: could not parse pattern: ragel-6.10*

# dnf install community-mysql-devel
Versionlock plugin: could not parse pattern: ragel-6.10

when /etc/dnf/plugins/versionlock.list contain corresponding strings 'ragel-6.10-*', 'ragel-6.10*' or 'ragel-6.10' (without single quotes).

Although according to plugin and DNF man page this should be valid package-spec patterns. Also these patterns were OK in previous Fedora distros.


Version-Release number of selected component (if applicable):
python3-dnf-plugin-versionlock-4.0.0-2.fc29.noarch

Comment 1 Marek Blaha 2018-10-31 08:31:34 UTC
Hi, as a temporary workaround, you can use form

ragel-0:6.10-*.*

Later today I'll post a patch fixing this issue.

Comment 3 Fedora Update System 2018-11-22 18:56:41 UTC
libdnf-0.22.3-1.fc29 dnf-4.0.9-1.fc29 dnf-plugins-core-4.0.2-1.fc29 dnf-plugins-extras-4.0.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-17cbc3c616

Comment 4 Fedora Update System 2018-11-23 02:56:17 UTC
dnf-4.0.9-1.fc29, dnf-plugins-core-4.0.2-1.fc29, dnf-plugins-extras-4.0.0-1.fc29, libdnf-0.22.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-17cbc3c616

Comment 5 Fedora Update System 2018-12-05 02:33:16 UTC
dnf-4.0.9-1.fc29, dnf-plugins-core-4.0.2-1.fc29, dnf-plugins-extras-4.0.0-1.fc29, libdnf-0.22.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.